﻿@model IEnumerable<ALK.Models.ProductX>

@{
    ViewBag.Title = "Index";
}


<a href="@Url.Action("Index","AspNetUsers")" style="float:right;font-size:25px" class="btn btn-info">User administration</a>
<a href="@Url.Action("Index","OrderAdmin")" style="float:right; margin-right:25px;font-size:25px" class="btn btn-info">Order administration</a>

<h2>Product administration</h2>
<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
        </th>
        <th>
            Category
        </th>
        <th>
            Product Name
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Product.Available)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Product.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Product.Price)
        </th>
        <th>
            Amount
        </th>
        <th>
            Seller
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Product.AspNetUser.Email)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Product.Created)
        </th>

        <th></th>
    </tr>

@foreach (var item in Model) {
<tr>
    <td>
        <img height="100" src="@Url.Action("Content", "My", new { id = item.FirstImageId})" />
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Product.Category.Title)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Product.ProductName)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Product.Available)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Product.Description)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Product.Price)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Product.PCount)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Product.AspNetUser.DisplayName)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Product.AspNetUser.Email)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Product.Created)
    </td>
    <td>
        @Html.ActionLink("Edit", "Edit", new { id = item.Product.Id }) |
        @Html.ActionLink("View", "Details", new { id = item.Product.Id }) |
        @Html.ActionLink("Delete", "Delete", new { id = item.Product.Id })
    </td>
</tr>
}

</table>
